[tox]
skipsdist = true
envlist = flake8,py3
toxworkdir={env:TOXINI_WORK_DIR:{toxinidir}/.tox}

[_vars]
build_root={env:TOXINI_ARTEFACT_DIR:{toxinidir}/build}

[testenv:py3]
deps = -rrequirements.txt
commands = pytest --junitxml={[_vars]build_root}/junit.xml --ignore='template' {posargs:./tests}

# Check for PEP8 violations
[testenv:flake8]
basepython=python3
deps=
    -rrequirements.txt
allowlist_externals=flake8
commands=
    flake8 .
